require("util")
function love.load()
juststarted = true
tilesize = 32

movespeed = 10

tile = love.graphics.newImage("floors.png")
human = love.graphics.newImage("human.png")
wall = love.graphics.newImage("walls.png")
plasma = love.graphics.newImage("plasma.png")

humanquad = {
south = love.graphics.newQuad(64,0,32,32,480,480),
north = love.graphics.newQuad(96,0,32,32,480,480),
east = love.graphics.newQuad(128,0,32,32,480,480),
west = love.graphics.newQuad(160,0,32,32,480,480)
}
 

floorquad = love.graphics.newQuad(0,0,32,32,1056,1056)
spacequad = love.graphics.newQuad(704,736,32,32,1056,1024)
wallquad = love.graphics.newQuad(0,0,32,32,22 * 32,22 * 32)


players = {
{x = 5,y = 2,quad = humanquad.west,movetimer = 0,maxmovetimer = 5,race = human}
}


map = {}

end

function generate(xsize,ysize,tlsize)
for i = 0,ysize,1 do
map[i] = {}
for i2 = 0,xsize,1 do
map[i][i2] = {oxygen = 100,sprite = tile,quad = spacequad,solid = false}
end
end
end

function love.update(dt)
if juststarted then
generate(100,100,tilesize)

changeimage(1,1,wallquad,wall)
setsolid(1,1,true)
changeimage(1,2,wallquad,wall)
setsolid(2,1,true) 
changeimage(1,3,wallquad,wall)
setsolid(3,1,true)
changeimage(1,4,wallquad,wall)
setsolid(4,1,true) 
changeimage(2,1,wallquad,wall)
setsolid(1,2,true)
changeimage(3,1,wallquad,wall)
setsolid(1,3,true)
changeimage(4,1,wallquad,wall)
setsolid(1,4,true)
changeimage(4,2,wallquad,wall)
setsolid(2,4,true)

changeimage(2,2,floorquad,tile)
changeimage(2,3,floorquad,tile)
changeimage(3,2,floorquad,tile)
changeimage(3,3,floorquad,tile)
end


for i,obj in ipairs(players) do
obj.movetimer = obj.movetimer - 1
end

if players[1].movetimer <= 0 then

function love.keypressed(key)

if key == "d" then
moveplayer(1,"x",1)
players[1].quad = humanquad.east
players[1].movetimer = players[1].maxmovetimer 
end

if key == "a" then
moveplayer(1,"x",-1)
players[1].quad = humanquad.west
players[1].movetimer = players[1].maxmovetimer 
end

if key == "w" then
moveplayer(1,"y",-1)
players[1].quad = humanquad.north
players[1].movetimer = players[1].maxmovetimer 
end

if key == "s" then
moveplayer(1,"y",1)
players[1].quad = humanquad.south
players[1].movetimer = players[1].maxmovetimer 
end

end

end







juststarted = false
end

function love.draw()
for i = 0,#map,1 do
for i2 = 0,#map[i],1 do
love.graphics.draw(map[i][i2].sprite,map[i][i2].quad,i * 32,i2 * 32,0,1,1,16,16)
end
end

for i,obj in ipairs(players) do
love.graphics.draw(obj.race,obj.quad,obj.x * 32,obj.y * 32,0,1,1,16,16)
end
end